/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.gateway.test;

import com.crunii.micro.domain.entitysql.main.TCallLogS;
import com.crunii.micro.platform.service.CallLogService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Commit;

import java.util.Date;

/**
 * @author 田平 create 2019年12月26日下午5:52:52
 */
public class CallLogServiceTest extends BaseTestGateWay {

	@Autowired
	private CallLogService callLogService;

	@Test
	@Commit
	public void testCallLog() {
		Date date = new Date();
		TCallLogS callLog = new TCallLogS();
		callLog.setId(10);
		callLog.setCallTime(date);
		callLog.setCreateTime(date);
		TCallLogS callLog1 = new TCallLogS();
		callLog1.setId(11);
		callLog1.setCallTime(date);
		callLog1.setCreateTime(date);

		callLogService.createTCallLog(callLog);
		callLogService.createTCallLog(callLog1);
	}
}
